<?xml version="1.0" encoding="utf-8"?>

<!-- Morpho MFNR Parameters Configuration -->
<!-- Copyright(c) 2023 Morpho China,Inc. -->
<image_mfnr>
    <version type="string" length="1">v1.0.29_mfnr_N6P_main_1107</version>
    <camera_id type="int" length="1">0</camera_id>

    <params>
            <iso value="50">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">0.45</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">5</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.5</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.1</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.2</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">0.2</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">0</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.7</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.3</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">1.0</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.2</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.6</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">7.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="150">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">0.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.5</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.1</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.2</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">0.2</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">0</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.7</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.3</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">1.0</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.2</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.6</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">7.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="250">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.5</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.2</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.2</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">0.1</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">0</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.7</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.2</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">1.0</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.8</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">5.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="400">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.5</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.2</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.3</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">0.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">0</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.7</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.2</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.8</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.6</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">5.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="530">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.5</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.2</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">0.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">0</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.7</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.2</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.8</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.6</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">8.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="600">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.5</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.2</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">0.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">0</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.7</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.2</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.8</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.6</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">8.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="800">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.5</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.1</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">0.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">0</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.6</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.2</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.6</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.6</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">8.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>
	    
	    <iso value="900">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.5</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.1</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">0.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">0</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.6</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.2</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.6</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.6</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">8.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="1000">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.5</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.25</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">1.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.6</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.1</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.5</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.6</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">8.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="1200">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.4</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.4</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.5</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.25</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">1.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.6</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.0</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.4</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.6</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">8.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="1600">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.4</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.3</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.5</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.5</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.2</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">1.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.6</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.0</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.4</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.45</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">8.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="2000"> 
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.3</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.4</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.0</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">1.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">1.0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.5</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.0</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.5</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.7</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.4</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">8.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="2400"> 
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.3</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.6</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.0</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">0.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">1.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">1.0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.5</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.0</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.4</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.7</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.5</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">8.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="2800"> 
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">5.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.4</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.6</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.1</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">1.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">2.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">1.0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.5</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.0</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.4</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.7</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.6</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">8.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="3300"> 
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">5.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.6</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.125</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.15</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">1.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">2.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">3</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">1.0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.4</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.0</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.5</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.6</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.6</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">8.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="4000">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.6</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.0</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">5</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">2.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">5</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">1.0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.4</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.0</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.45</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.7</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.4</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">5.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="5400">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.3</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.6</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.0</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">8.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">2.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">5</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">1.0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.4</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.0</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.25</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">0.8</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">8.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="6400">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.15</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.15</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7.0</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.6</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.0</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">10.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">2.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">5</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">1.0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.4</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.1</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.6</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.25</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">1.0</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">5.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="7999">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.15</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.15</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7.0</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.6</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.0</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">10.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">2.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">5</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">1.0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.4</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.4</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.8</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.25</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">1.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">5.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="9200">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.15</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.15</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7.0</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.6</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.0</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">10.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">2.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">5</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">1.0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.3</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.4</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.8</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.25</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">1.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">5.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="12800">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.15</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.15</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7.0</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.6</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.0</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">10.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">2.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">5</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">1.0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.3</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.4</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.8</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.25</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">1.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">5.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>

            <iso value="99999">
                <image_mfnr_array>
                    <mfnr id="0">
                        <high_accuracy_mode   type="int"   rang="[0,1]"     default="0" length="1">1</high_accuracy_mode>
                        <deghost_level        type="float" rang="[0.0,2.0]" default="0" length="1">0.15</deghost_level>
                        <deghost_level_face   type="float" rang="[0.0,2.0]" default="0" length="1">0.15</deghost_level_face>
                        <ghost_nr_level       type="float" rang="[0.0,5.0]" default="0" length="1">3.0</ghost_nr_level>
                        <y_nr_level           type="float" rang="[0.0,5.0]" default="0" length="1">1.5</y_nr_level>
                        <y_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">7.0</y_nr_radius>
                        <low_freq_level       type="float" rang="[0,-]"     default="0" length="1">0.6</low_freq_level>
                        <high_freq_level      type="float" rang="[0,-]"     default="0" length="1">0.0</high_freq_level>
                        <high_freq_level_0    type="float" rang="[0,2]"     default="0" length="1">0.0</high_freq_level_0>
                        <hfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</hfe_level>
                        <lfe_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.0</lfe_level>
                        <dark_nr_level        type="float" rang="[1.0,5.0]" default="0" length="1">6.0</dark_nr_level>                         
                        <local_noise_nr_level type="float" rang="[0.0,1.0]" default="0" length="1">0.1</local_noise_nr_level>
                        <edge_nr_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.0</edge_nr_level>
                        <face_nr_level        type="float" rang="[0.0,8.0]" default="0" length="1">10.0</face_nr_level>
                        <round_nr_level       type="float" rang="[0.0,4.0]" default="0" length="1">0.5</round_nr_level>
                        <round_nr_radius      type="float" rang="[0.2,4.0]" default="0" length="1">0.5</round_nr_radius>
                        <c_nr_level           type="float" rang="[0.0,-]"   default="0" length="1">2.0</c_nr_level>
                        <c_nr_radius          type="int"   rang="[1,32]"    default="0" length="1">5</c_nr_radius>
                        <c_nr_times           type="int"   rang="[0,3]"     default="0" length="1">1</c_nr_times>
                        <c_nr_color_boost     type="float" rang="[1.0,1.3]" default="0" length="1">1.0</c_nr_color_boost>
                        <unsharp_level        type="float" rang="[0.0,1.0]" default="0" length="1">0.3</unsharp_level>
                        <unsharp_range_low    type="float" rang="[0.0,2.0]" default="0" length="1">1.4</unsharp_range_low>
                        <unsharp_range_high   type="float" rang="[0.0,2.0]" default="0" length="1">1.8</unsharp_range_high>
                        <white_black_level    type="float" rang="[0.0,1.0]" default="0" length="1">0.25</white_black_level>
						<face_unsharp_level   type="float" rang="[0.0,2.0]" default="0" length="1">1.5</face_unsharp_level>
                        <lce_eps              type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_eps>
                        <lce_level            type="float" rang="[0.0,1.0]" default="0" length="1">0.3</lce_level>
                        <y_gain_adder         type="float" rang="[0,32]"    default="0" length="1">5.0</y_gain_adder>
                        <c_gain_adder         type="float" rang="[0,32]"    default="0" length="1">0.0</c_gain_adder>
                        <noise_mode           type="int"   rang="[0,1]"     default="0" length="1">0</noise_mode>
                        </mfnr>
            </image_mfnr_array>
            </iso>
			
     </params>
</image_mfnr>
